2020-08-14 DevLog

Social Media Channels

Creative Live

Update the Creative Life profile. [Creative]


Coronavirus Pandemic Live Data App

Develop the Coronavirus Pandemic Live Data App for Heaven's Disciples Foundation


New Software

Jitsi

Research the Jitsi free open-source video conferencing software. [Work in Progress]

Join the Jitsi Community. [Planned]

Watch the Jitsi Meet GitHub project. [Completed]

Follow the Jitsi Facebook page. [Completed]

Subscribe to the Jitsi YouTube channel. [Completed]


2020-08-12 DevLog

Heaven's Disciples WordPress Website Maintenance

WordPress Software Update

Update from WordPress 5.4.2 to WordPress 5.5 on 70 websites. [Complete]


WordPress Plugin Updates

Update 4 WordPress plugins on 68 websites. [Completed]


WordPress Theme Updates

Update 10 WordPress themes on 70 websites. [Completed]


Troubleshoot the Classic Editor WordPress plugin "Uncaught TypeError" After the WordPress 5.5 Update

Troubleshoot the Classic Editor "Uncaught TypeError". [Completed]

An “Uncaught TypeError” is occurring with the WordPress 5.5 update. The issue results in the Text editor being disabled and the “Links option” being unavailable. Trying to click on “Links option” disables the Chrome browser’s main scrollbar for a WordPress website.

I had to disable the Network Publisher plugin by linksalpha in order to get the Classic Editor and Disable Gutenberg plugins to work again.

Issue:

Some errors are occurring with the Classic Editor after updating to WordPress 5.5. I can type text in the Visual editor, but I’m unable to select the Text editor tab. There is no response when I click on the Text tab.

I can add URL links but I cannot edit them. I can click on the link and click Edit the first time, but I cannot select “Link options” as that only disables the main scrollbar in the Chrome browser. After the scrollbar has been disabled, the Edit option for the link is no longer available.

Error:

  1. Uncaught TypeError: Cannot read property 'opera' of undefined
  2. at jquery.ba-postmessage.min.js?ver=###:9
  3. at jquery.ba-postmessage.min.js?ver=###:9

Software updates

Blender

Update from Blender 2.82a to Blender 2.83.4. [Completed]


Download and install MB-Lab for Blender 2.80. [Planned]